php-phpspec-prophecy (1.22.0-1) unstable; urgency=medium

  [ Alessandro Lai ]
  * Allow new major of sebastian/* packages to allow PHPUnit 12 for end users
  * Drop support to PHP below 7.4

 -- David Prévot <taffit@debian.org>  Thu, 01 May 2025 23:17:41 +0200

php-phpspec-prophecy (1.20.0-2) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 03 Mar 2025 22:42:47 +0100

php-phpspec-prophecy (1.20.0-1) unstable; urgency=medium

  [ singin' whale ]
  * Fixed deprecation warning in DisableConstructorPatch.php

  [ Jacob Dreesen ]
  * Fix generation of enum default values with PHP 8.1

  [ David Prévot ]
  * Set Multi-Arch: foreign
  * Revert "Force system dependencies loading"
  * Drop now useless symlink at build time

  [ jrfnl ]
  * MagicCallPatch: prevent deprecation notice

  [ Christophe Coevoet ]
  * Update changelog

  [ Andy Postnikov ]
  * Declare PHP 8.4 compatibility

  [ W0rma ]
  * Make optional constructor parameters nullable explicitly

 -- David Prévot <taffit@debian.org>  Mon, 25 Nov 2024 08:01:51 +0100

php-phpspec-prophecy (1.19.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.7.0
  * Use --require-file for phpabtl (Closes: #1073569)

 -- David Prévot <taffit@debian.org>  Sun, 14 Jul 2024 17:45:33 +0200

php-phpspec-prophecy (1.19.0-1) unstable; urgency=medium

  [ Alessandro Lai ]
  * Allow sebastian/comparator 6 (to allow PHPUnit 11)
  * Allow sebastian/recursion-context 6 (to allow PHPUnit 11)

  [ Christophe Coevoet ]
  * Update the changelog for 1.19.0

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Fri, 01 Mar 2024 12:54:03 +0100

php-phpspec-prophecy (1.18.0-1) unstable; urgency=medium

  [ Alessandro Lai ]
  * Allow sebastian/recursion-context 5 too
  * Allow PHPUnit 10 too (or other packages wont be allowed)

  [ Christophe Coevoet ]
  * Skip the Factory specs for sebastian/comparator 5+
  * Fix the CI on PHP 8.3 until phpspec supports it officially
  * Improve types for places dealing with class or interface names
  * Update the changelog for 1.18.0

  [ David Prévot ]
  * Build-depend on php-doctrine-instantiator (Closes: #1039818)

 -- David Prévot <taffit@debian.org>  Fri, 08 Dec 2023 07:58:53 +0100

php-phpspec-prophecy (1.17.0-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Add support for doctrine/instantiator 2.0
  * Update changelog

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 03 Feb 2023 14:12:52 +0100

php-phpspec-prophecy (1.16.0-1) unstable; urgency=medium

  [ Tyson Andre ]
  * Remove workarounds for unsupported HHVM

  [ kschatzle ]
  * Support standalone and nullable types for true, false, and null.

  [ Gildas Quéméner ]
  * Support PHP 8.2
  * Support doubling readonly class

  [ Ciaran McNulty ]
  * Update changelog

  [ David Prévot ]
  * Drop now useless overrides

 -- David Prévot <taffit@debian.org>  Wed, 30 Nov 2022 06:00:20 +0100

php-phpspec-prophecy (1.15.0-2) unstable; urgency=medium

  * Build-depend on php-phpdocumentor-reflection-docblock (Closes: #1020014)
  * Revert "Workaround Enums not recognized by phpab"
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sun, 18 Sep 2022 10:01:40 +0200

php-phpspec-prophecy (1.15.0-1) unstable; urgency=medium

  [ Dzianis Hrynko ]
  * #527 Fix. Add static type

  [ Christophe Coevoet ]
  * Add return types in comparator classes
  * Update the changelog for 1.15.0

  [ David Prévot ]
  * Adapt to new upstream tag scheme

 -- David Prévot <taffit@debian.org>  Sun, 12 Dec 2021 06:41:58 -0400

php-phpspec-prophecy (1.14.0-2) unstable; urgency=medium

  * Workaround Enums not recognized by phpab

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 21:57:15 -0400

php-phpspec-prophecy (1.14.0-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ javer ]
  * Add PHP 8.1 support

  [ Ciaran McNulty ]
  * CHangelog update for 1.14.0

  [ David Prévot ]
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 09 Oct 2021 12:14:50 -0400

php-phpspec-prophecy (1.13.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Ciaran McNulty ]
  * Updating changelog for 1.13.0 release

  [ David Prévot ]
  * Simplify gbp import-orig
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Fri, 09 Apr 2021 08:30:02 -0400

php-phpspec-prophecy (1.12.2-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * Don't restrict PHPUnit version
  * Update CHANGES.md

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Wed, 23 Dec 2020 08:57:09 -0400

php-phpspec-prophecy (1.12.1-1) unstable; urgency=medium

  * Upload to unstable now that php-phpdocumentor-reflection-docblock has been
    updated in unstable.

  [ Ciaran McNulty ]
  * Update changelog for 1.12.1

  [ Graham Campbell ]
  * Bump minimum reflection-docblock

  [ Alexey Kopytko ]
  * Allow installing on PHP 8

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Wed, 30 Sep 2020 14:32:56 -0400

php-phpspec-prophecy (1.11.1-1) experimental; urgency=medium

  * Upload to experimental because of recent version of
    php-phpdocumentor-reflection-docblock dependency

  [ Ciaran McNulty ]
  * Bump the supported PHP version
  * Update reflection-dockblock to latest version that passes CI
  * Update CHANGES.md

  [ David Prévot ]
  * Update gbp import-ref usage
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Tue, 14 Jul 2020 11:50:01 -0400

php-phpspec-prophecy (1.10.3-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Fix the handling of invalid phpdoc tags
  * Update changelog

 -- David Prévot <taffit@debian.org>  Sun, 08 Mar 2020 18:59:14 -1000

php-phpspec-prophecy (1.10.2-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * Update CHANGES.md

  [ David Prévot ]
  * Update gbp import-ref usage
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sun, 02 Feb 2020 08:51:26 -1000

php-phpspec-prophecy (1.10.1-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * update changelog

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Submit.

 -- David Prévot <taffit@debian.org>  Tue, 24 Dec 2019 06:11:37 +1100

php-phpspec-prophecy (1.10.0-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * Prepare for 1.10.0 release

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.
  * Actually include local path for tests

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2019 05:14:28 +1100

php-phpspec-prophecy (1.9.0-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * Update changeling for 1.9.0

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1
  * Simplify testsuite calls

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2019 15:31:00 -1000

php-phpspec-prophecy (1.8.1-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.
  * Extend d/clean for PHPUnit 8

 -- David Prévot <taffit@debian.org>  Wed, 14 Aug 2019 12:31:54 -1000

php-phpspec-prophecy (1.8.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Ciaran McNulty ]
  * 1.8.1 changelog

  [ David Prévot ]
  * Use https in Format
  * Drop get-orig-source target
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Document gbp import-ref usage
  * Restore testsuite

 -- David Prévot <taffit@debian.org>  Mon, 17 Jun 2019 09:02:15 -1000

php-phpspec-prophecy (1.8.0-1) unstable; urgency=medium

  [ Ciaran McNulty ]
  * Prepare for 1.8 release

  [ David Prévot ]
  * Update Standards-Version to 4.2.0

 -- David Prévot <taffit@debian.org>  Thu, 09 Aug 2018 19:38:15 +0800

php-phpspec-prophecy (1.7.6-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Allow sebastian/comparator ^3.0

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Fri, 20 Apr 2018 10:43:06 -1000

php-phpspec-prophecy (1.7.5-1) unstable; urgency=medium

  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 21:20:09 -1000

php-phpspec-prophecy (1.7.3-1) unstable; urgency=medium

  [ Loïc Faugeron ]
  * Added support to Symfony Finder SplFileInfo

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Sun, 26 Nov 2017 16:22:14 -1000

php-phpspec-prophecy (1.7.2-1) unstable; urgency=medium

  [ Jon Dufresne ]
  * Add gitattributes file

  [ Graham Campbell ]
  * Allow reflection-docblock v4

  [ everzet ]
  * Bump changelog

  [ David Prévot ]
  * Drop testsuite removed upstream
  * Update Standards-Version to 4.1.0

 -- David Prévot <taffit@debian.org>  Wed, 06 Sep 2017 18:14:57 -1000

php-phpspec-prophecy (1.7.0-1) unstable; urgency=medium

  [ David Prévot ]
  * Add phpab dependency for ci tests
  * Update Standards-Version to 4.0.1

  [ Sebastian Bergmann ]
  * Allow sebastian/comparator ^2.0
  * Allow sebastian/recursion-context ^3.0

  [ Konstantin Kudryashov ]
  * Bump changelog

 -- David Prévot <taffit@debian.org>  Mon, 21 Aug 2017 17:26:32 -1000

php-phpspec-prophecy (1.6.2-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Add the structure of the PHPUnit testsuite
  * Update the changelog for 1.6.2

  [ David Prévot ]
  * Add tests at build time
  * Add DEP-8 (ci) tests

 -- David Prévot <taffit@debian.org>  Wed, 25 Jan 2017 18:04:41 -1000

php-phpspec-prophecy (1.6.1-1) unstable; urgency=medium

  [ Kamil Kokot ]
  * Patched \SplFileObject constructor while using \SplFileInfo::openDir()

  [ ftrrtf ]
  * Ignore empty methods from phpdoc

  [ Kévin Dunglas ]
  * Upgrade to reflection-docblock 3

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 07 Jun 2016 22:12:54 -0400

php-phpspec-prophecy (1.6.0-2) unstable; urgency=medium

  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 16:50:54 -0400

php-phpspec-prophecy (1.6.0-1) unstable; urgency=medium

  [ Jani Kärenaho ]
  * Updated ExportUtil to reflect the latest version of
    sebastianbergmann/exporter

  [ Konstantin Kudryashov ]
  * Update CHANGES.md

  [ David Prévot ]
  * Relax version dependency
  * Adapt package to new phpunit-recursion-context dependency
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Mon, 15 Feb 2016 23:17:26 -0400

php-phpspec-prophecy (1.5.0-1) unstable; urgency=medium

  [ Konstantin Kudryashov ]
  * Update CHANGES.md

 -- David Prévot <taffit@debian.org>  Sun, 25 Oct 2015 12:13:31 -0400

php-phpspec-prophecy (1.4.1-1) unstable; urgency=medium

  * Initial release

 -- David Prévot <taffit@debian.org>  Tue, 12 May 2015 16:47:29 -0400
